"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PublicResolver = void 0;
exports.PublicResolver = {
    contractName: "PublicResolver",
    abi: [
        {
            constant: true,
            inputs: [
                {
                    name: "interfaceID",
                    type: "bytes4",
                },
            ],
            name: "supportsInterface",
            outputs: [
                {
                    name: "",
                    type: "bool",
                },
            ],
            payable: false,
            stateMutability: "pure",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "data",
                    type: "bytes",
                },
            ],
            name: "setDNSRecords",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "key",
                    type: "string",
                },
                {
                    name: "value",
                    type: "string",
                },
            ],
            name: "setText",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "interfaceID",
                    type: "bytes4",
                },
            ],
            name: "interfaceImplementer",
            outputs: [
                {
                    name: "",
                    type: "address",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "contentTypes",
                    type: "uint256",
                },
            ],
            name: "ABI",
            outputs: [
                {
                    name: "",
                    type: "uint256",
                },
                {
                    name: "",
                    type: "bytes",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "x",
                    type: "bytes32",
                },
                {
                    name: "y",
                    type: "bytes32",
                },
            ],
            name: "setPubkey",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "hash",
                    type: "bytes",
                },
            ],
            name: "setContenthash",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
            ],
            name: "addr",
            outputs: [
                {
                    name: "",
                    type: "address",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "name",
                    type: "bytes32",
                },
            ],
            name: "hasDNSRecords",
            outputs: [
                {
                    name: "",
                    type: "bool",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "key",
                    type: "string",
                },
            ],
            name: "text",
            outputs: [
                {
                    name: "",
                    type: "string",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "contentType",
                    type: "uint256",
                },
                {
                    name: "data",
                    type: "bytes",
                },
            ],
            name: "setABI",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
            ],
            name: "name",
            outputs: [
                {
                    name: "",
                    type: "string",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "name",
                    type: "string",
                },
            ],
            name: "setName",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "coinType",
                    type: "uint256",
                },
                {
                    name: "a",
                    type: "bytes",
                },
            ],
            name: "setAddr",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "name",
                    type: "bytes32",
                },
                {
                    name: "resource",
                    type: "uint16",
                },
            ],
            name: "dnsRecord",
            outputs: [
                {
                    name: "",
                    type: "bytes",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
            ],
            name: "clearDNSZone",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
            ],
            name: "contenthash",
            outputs: [
                {
                    name: "",
                    type: "bytes",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
            ],
            name: "pubkey",
            outputs: [
                {
                    name: "x",
                    type: "bytes32",
                },
                {
                    name: "y",
                    type: "bytes32",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "a",
                    type: "address",
                },
            ],
            name: "setAddr",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "interfaceID",
                    type: "bytes4",
                },
                {
                    name: "implementer",
                    type: "address",
                },
            ],
            name: "setInterface",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "coinType",
                    type: "uint256",
                },
            ],
            name: "addr",
            outputs: [
                {
                    name: "",
                    type: "bytes",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            constant: true,
            inputs: [
                {
                    name: "",
                    type: "bytes32",
                },
                {
                    name: "",
                    type: "address",
                },
                {
                    name: "",
                    type: "address",
                },
            ],
            name: "authorisations",
            outputs: [
                {
                    name: "",
                    type: "bool",
                },
            ],
            payable: false,
            stateMutability: "view",
            type: "function",
        },
        {
            inputs: [
                {
                    name: "_ens",
                    type: "address",
                },
            ],
            payable: false,
            stateMutability: "nonpayable",
            type: "constructor",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: true,
                    name: "owner",
                    type: "address",
                },
                {
                    indexed: true,
                    name: "target",
                    type: "address",
                },
                {
                    indexed: false,
                    name: "isAuthorised",
                    type: "bool",
                },
            ],
            name: "AuthorisationChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: true,
                    name: "indexedKey",
                    type: "string",
                },
                {
                    indexed: false,
                    name: "key",
                    type: "string",
                },
            ],
            name: "TextChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: false,
                    name: "x",
                    type: "bytes32",
                },
                {
                    indexed: false,
                    name: "y",
                    type: "bytes32",
                },
            ],
            name: "PubkeyChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: false,
                    name: "name",
                    type: "string",
                },
            ],
            name: "NameChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: true,
                    name: "interfaceID",
                    type: "bytes4",
                },
                {
                    indexed: false,
                    name: "implementer",
                    type: "address",
                },
            ],
            name: "InterfaceChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: false,
                    name: "name",
                    type: "bytes",
                },
                {
                    indexed: false,
                    name: "resource",
                    type: "uint16",
                },
                {
                    indexed: false,
                    name: "record",
                    type: "bytes",
                },
            ],
            name: "DNSRecordChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: false,
                    name: "name",
                    type: "bytes",
                },
                {
                    indexed: false,
                    name: "resource",
                    type: "uint16",
                },
            ],
            name: "DNSRecordDeleted",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
            ],
            name: "DNSZoneCleared",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: false,
                    name: "hash",
                    type: "bytes",
                },
            ],
            name: "ContenthashChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: false,
                    name: "a",
                    type: "address",
                },
            ],
            name: "AddrChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: false,
                    name: "coinType",
                    type: "uint256",
                },
                {
                    indexed: false,
                    name: "newAddress",
                    type: "bytes",
                },
            ],
            name: "AddressChanged",
            type: "event",
        },
        {
            anonymous: false,
            inputs: [
                {
                    indexed: true,
                    name: "node",
                    type: "bytes32",
                },
                {
                    indexed: true,
                    name: "contentType",
                    type: "uint256",
                },
            ],
            name: "ABIChanged",
            type: "event",
        },
        {
            constant: false,
            inputs: [
                {
                    name: "node",
                    type: "bytes32",
                },
                {
                    name: "target",
                    type: "address",
                },
                {
                    name: "isAuthorised",
                    type: "bool",
                },
            ],
            name: "setAuthorisation",
            outputs: [],
            payable: false,
            stateMutability: "nonpayable",
            type: "function",
        },
    ],
};
